ON_EXIT(3)

NAME
on_exit - register a function to be called at normal program termination.

SYNOPSIS
#include <stdlib.h>

int on_exit(void (*function)(int , void *), void *arg);

DESCRIPTION
The on_exit() function registers the given function to be called at normal program termination, whether via exit(3) or via return from the program's main. The function is passed the argument to exit(3) and the arg argument from on_exit().

RETURN VALUE
The on_exit() function returns the value 0 if successful; otherwise the value -1 is returned.

SEE ALSO
exit(3), atexit(3)